#ifndef RECTANGLE_H
#define RECTANGLE_H

#include <stdio.h>

#define TABLE_WIDTH 80
#define TABLE_HEIGHT 25
#define MAX_RECTANGLES 10

typedef struct {
    int x;
    int y;
    int l;
    int h;
} Rectangle;

int isAreaOccupied(Rectangle* rects, int numRects, int x, int y, int l, int h);
void createRectangle(Rectangle* rects, int* numRects, int x, int y, int l, int h);
void moveSide(Rectangle* rects, int numRects, int x, int y, int p);
void applyGravity(Rectangle* rects, int numRects);

#endif /* RECTANGLE_H */
