#ifndef LIST_H
#define LIST_H

#define TABLE_WIDTH 80
#define TABLE_HEIGHT 25

// Estrutura para representar um retângulo
typedef struct {
    int x;  // Coordenada x do canto superior esquerdo
    int y;  // Coordenada y do canto superior esquerdo
    int l;  // Comprimento do retângulo
    int h;  // Altura do retângulo
} Rectangle;

// Estrutura para um nó da lista duplamente encadeada
typedef struct Node {
    Rectangle rect;
    struct Node* next;
    struct Node* prev;
} Node;

// Funções para manipulação da lista
Node* createNode(int x, int y, int l, int h);
void addNode(Node** head, int x, int y, int l, int h);
void removeNode(Node** head, Node* node);
int isAreaOccupied(Node* head, int x, int y, int l, int h);

#endif // LIST_H
