#include <stdio.h>
#include "graphics.h"

void printRectangle(Rectangle* rects, int numRects) {
    for (int i = 0; i < TABLE_HEIGHT; i++) {
        for (int j = 0; j < TABLE_WIDTH; j++) {
            int isInsideRect = 0;

            int isBottomLine = (i == TABLE_HEIGHT - 1);
            int isTopLine = (i == 0);

            for (int k = 0; k < numRects; k++) {
                Rectangle* rect = &rects[k];
                if ((j >= rect->x && j < rect->x + rect->l) && (i == TABLE_HEIGHT - rect->y - 1 || i == TABLE_HEIGHT - rect->y - rect->h)) {
                    isInsideRect = 1;
                    break;
                }
                if ((i >= TABLE_HEIGHT - rect->y - rect->h && i < TABLE_HEIGHT - rect->y) && (j == rect->x || j == rect->x + rect->l - 1)) {
                    isInsideRect = 1;
                    break;
                }
            }
            if (isInsideRect)
                printf("x");
            else if (isTopLine || isBottomLine)
                printf("-");
            else
                printf(" ");
        }
        printf("\n");
    }
}
